System 2.0.0.0 4.0.0.0 System.Object System.IDisposable To be added.

Base class that represents an email attachment. Classes , , and derive from this class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Instantiates an with the specified .

  A stream containing the content for this attachment.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Instantiates an with the specified file name.

  The file name holding the content for this attachment.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Instantiates an with the specified and .

  A stream containing the content for this attachment.
  The type of the content.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Instantiates an with the specified and media type.

  A stream containing the content for this attachment.
  The MIME media type of the content.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Instantiates an with the specified file name and content type.

  The file name holding the content for this attachment.
  The type of the content.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Instantiates an with the specified file name and media type.

  The file name holding the content for this attachment.
  The MIME media type of the content.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the MIME content ID for this attachment.

- Property
  2.0.0.0
  4.0.0.0
  System.IO.Stream To be added. To be added.

  Gets the content stream of this attachment.

- Property
  2.0.0.0
  4.0.0.0
  System.Net.Mime.ContentType To be added. To be added.

  Gets the content type of this attachment.

- Method
  2.0.0.0
  4.0.0.0
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Note Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases the resources used by the .

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Property
  2.0.0.0
  4.0.0.0
  System.Net.Mime.TransferEncoding To be added. To be added.

  Gets or sets the encoding of this attachment.